Bug 1850633 - Update Request: update to latest version (2.18)
Summary: Update Request: update to latest version (2.18)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: eccodes
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jos de Kloe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-24 15:29 UTC by Daniele Branchini
Modified: 2020-07-13 01:19 UTC (History)
2 users (show)

Fixed In Version: eccodes-2.18.0-1.el8 eccodes-2.18.0-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 01:00:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniele Branchini 2020-06-24 15:29:00 UTC
The epel 8 package is still 2.14.

In the latest 2.18 version there are some relevant bugfix and enhancement such as 
support for Mercator grid, Lambert Azimuthal Equal Area grid, Lambert Conformal grid, Polar Stereographic grid.

This version is also needed to compile other ecmwf software such as Magics and Metview.
While there isn't a dedicated eccodes public changelog, there's a global overview of the enhancements in Metview's changelog:
https://confluence.ecmwf.int/display/METV/Version+5.9+Updates

Comment 1 Daniele Branchini 2020-06-24 15:41:41 UTC
My bad, the eccodes changelog is here:
https://confluence.ecmwf.int/display/ECC/History+of+Changes

The changes are all improvements and bug fixes, there should be no incompatibilities with the 2.14 version

Comment 2 Fedora Update System 2020-06-27 13:26:51 UTC
FEDORA-EPEL-2020-a9513934c2 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a9513934c2

Comment 3 Fedora Update System 2020-06-27 15:29:37 UTC
FEDORA-EPEL-2020-cc4dbc4ca9 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cc4dbc4ca9

Comment 4 Fedora Update System 2020-06-28 01:17:46 UTC
FEDORA-EPEL-2020-a9513934c2 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a9513934c2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-06-28 01:28:24 UTC
FEDORA-EPEL-2020-cc4dbc4ca9 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cc4dbc4ca9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-07-13 01:00:19 UTC
FEDORA-EPEL-2020-a9513934c2 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-07-13 01:19:50 UTC
FEDORA-EPEL-2020-cc4dbc4ca9 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.